This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 755073 - Drift: View file contents of "Old File" is garbled for binary files (eg, .wars)
Drift: View file contents of "Old File" is garbled for binary files (eg, .wars)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.2
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-11-18 13:21 EST by Mike Foley
Modified: 2012-02-07 14:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
view contents of binary file is garbled (73.23 KB, image/png)
2011-11-18 13:21 EST, Mike Foley
no flags Details
the link to view contents of a binary file should not exist (39.44 KB, image/png)
2011-11-18 13:22 EST, Mike Foley
no flags Details
sample .war file (834 bytes, application/octet-stream)
2011-11-18 13:26 EST, Mike Foley
no flags Details
Screenshot (39.83 KB, image/png)
2011-12-02 07:51 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Mike Foley 2011-11-18 13:21:12 EST
Description of problem:  Drift:  View file contents of "Old File" is garbled for binary files (eg, .wars)


Version-Release number of selected component (if applicable):
jon 3. branch

How reproducible:
100%

Steps to Reproduce:
1. basic Drift use-case ... folder being watched has a .war file
2. edit the MANIFEST.MF file in the .war
3. view file contents from Drift snapshot
  
Actual results:
contents of .war file appear garbled.  see screenshots.

Expected results:
should not be able to view file contents of "New" or "Old" file ... or the diff.

Additional info:
Comment 1 Mike Foley 2011-11-18 13:21:59 EST
Created attachment 534461 [details]
view contents of binary file is garbled
Comment 2 Mike Foley 2011-11-18 13:22:30 EST
Created attachment 534462 [details]
the link to view contents of a binary file should not exist
Comment 3 Mike Foley 2011-11-18 13:26:01 EST
Created attachment 534463 [details]
sample .war file
Comment 4 John Sanda 2011-11-28 14:12:30 EST
Updated logic so that the view link is hidden for binary files.

master commit hash: 99803343b9014aa9399ef2444cc214061bf0bdb9
Comment 5 John Sanda 2011-11-28 15:00:49 EST
This fix is not going into the release_jon3.x branch. Moving to ON_QA.
Comment 6 Mike Foley 2011-11-29 12:00:10 EST
verified the fix is not in jon 3 branch.

to do:  verify in master.
Comment 7 Sunil Kondkar 2011-12-02 07:50:54 EST
Verified in master build#809 (Version: 4.3.0-SNAPSHOT Build Number: 2b26d44)

The link to view contents of a binary file (.war file) does not exist. Please refer the attached screenshot.
Comment 8 Sunil Kondkar 2011-12-02 07:51:24 EST
Created attachment 539612 [details]
Screenshot
Comment 9 Sunil Kondkar 2011-12-09 06:50:34 EST
Marking as verified.
Comment 10 Mike Foley 2012-02-07 14:31:48 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 11 Mike Foley 2012-02-07 14:31:49 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.